package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpAirGoogs;

/**
 * 气瓶货物Mapper接口
 * 
 * @author zd
 * @date 2022-05-17
 */
public interface QpAirGoogsMapper 
{
    /**
     * 查询气瓶货物
     * 
     * @param id 气瓶货物主键
     * @return 气瓶货物
     */
    QpAirGoogs selectQpAirGoogsById(Long id);

    /**
     * 查询气瓶货物列表
     * 
     * @param qpAirGoogs 气瓶货物
     * @return 气瓶货物集合
     */
    List<QpAirGoogs> selectQpAirGoogsList(QpAirGoogs qpAirGoogs);

    /**
     * 新增气瓶货物
     * 
     * @param qpAirGoogs 气瓶货物
     * @return 结果
     */
    int insertQpAirGoogs(QpAirGoogs qpAirGoogs);

    /**
     * 修改气瓶货物
     * 
     * @param qpAirGoogs 气瓶货物
     * @return 结果
     */
    int updateQpAirGoogs(QpAirGoogs qpAirGoogs);

    /**
     * 删除气瓶货物
     * 
     * @param id 气瓶货物主键
     * @return 结果
     */
    int deleteQpAirGoogsById(Long id);

    /**
     * 批量删除气瓶货物
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpAirGoogsByIds(Long[] ids);
}
